#include <irrlicht.h>
#include "UserInterface.h"
using namespace irr;
using namespace irr::video;
using namespace irr::core;
int UserInterface::loadStartMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device)
{
    device->setWindowCaption(L"Ninja Football by Geeks In Action");
    if (font)
        skin->setFont(font);
   // skin->setFont(env->getBuiltInFont(), EGDF_TOOLTIP);
    env->addImage(driver->getTexture("../../media/ece17de44843a5cf.jpg"),position2d<int>(5,5));
    IGUIStaticText* titletext=env->addStaticText(L"Ninja Football by Geeks In Action",rect<s32>(140,100,400,100 + 32),false);
            titletext->enableOverrideColor(true);
            titletext->setOverrideColor(video::SColor(200,255,255,255));
    env->addButton(rect<s32>(10,140,110,140 + 32), 0, GUI_ID_EXHIBITION,L"Exhibition");
//    env->addButton(rect<s32>(10,180,110,180 + 32), 0, GUI_ID_CUP,L"Cup");
//    env->addButton(rect<s32>(10,220,110,220 + 32), 0, GUI_ID_LEAGUE,L"League");
//    env->addButton(rect<s32>(10,260,110,260 + 32), 0, GUI_ID_MULTIPLAYER,L"Multiplayer");
    env->addButton(rect<s32>(10,300,110,300 + 32), 0, GUI_ID_FUN_MODES,L"For Fun");
//	env->addButton(rect<s32>(10,340,110,340 + 32), 0, GUI_ID_EDIT,L"Edit");
//	env->addButton(rect<s32>(10,380,110,380 + 32), 0, GUI_ID_SETTINGS,L"Settings");
    env->addButton(rect<s32>(10,420,110,420 + 32), 0, GUI_ID_TRAINING,L"Credits");
    env->addButton(rect<s32>(10,460,110,460 + 32), 0, GUI_ID_EXITLINUX,L"Quit To Linux");
  //  IGUIListBox * listbox = env->addListBox(rect<s32>(50, 140, 250, 210));
}
int UserInterface::loadExhibition(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device,u32 stadiumselect)
        {
            device->setWindowCaption(L"Exhibition (Traditional) Mode");
            device->setResizable(true);
         //   skin = env->getSkin();
            font = env->getFont("../../media/fontlucida.png");
            if (font)
                    skin->setFont(font);
     //       skin->setFont(env->getBuiltInFont(), EGDF_TOOLTIP);
            env->addImage(driver->getTexture("../../media/ece17de44843a5cf.jpg"),position2d<int>(5,5));
            env->addButton(rect<s32>(410,200,510,200 + 32), 0, GUI_ID_TEAM_SELECT_1,L"Select Team 1");
            env->addButton(rect<s32>(540,200,640,200 + 32), 0, GUI_ID_TEAM_SELECT_2,L"Select Team 2");
            env->addButton(rect<s32>(480,420,580,420 + 32), 0, GUI_ID_START_MATCH, L"START");
            env->addButton(rect<s32>(480,460,580,460 + 32), 0, GUI_ID_BACK, L"Back");

            IGUIComboBox * combobox =  env->addComboBox(rect<s32>(410,240,510,240 + 32), 0, GUI_ID_TEAM_SELECT_1);
            IGUIComboBox * combobox2 =  env->addComboBox(rect<s32>(540,240,640,240 + 32), 0, GUI_ID_TEAM_SELECT_2);
            IGUIComboBox * combobox3 =  env->addComboBox(rect<s32>(410,280,510,280 + 32), 0, GUI_ID_SELECT_FORMATION_1);
            IGUIComboBox * combobox4 =  env->addComboBox(rect<s32>(540,280,640,280 + 32), 0, GUI_ID_SELECT_FORMATION_2);
            IGUIStaticText* selectstad=env->addStaticText(L"Choose Stadium",rect<s32>(480,320,600,320 + 32),false);
            selectstad->enableOverrideColor(true);
            selectstad->setOverrideColor(video::SColor(200,255,255,255));
            IGUIComboBox * combobox5 = env->addComboBox(rect<s32>(480,360,590,360 + 32), 0, GUI_ID_SELECTSTADIUM);

            combobox->addItem(L"Arsenal",-1);
            combobox->addItem(L"Barcelona",1);
            combobox->addItem(L"Chelsea",2);
            combobox->addItem(L"Dortmund",3);
            combobox->addItem(L"Fenerbahce",4);
            combobox->addItem(L"Galatasaray",5);
                                combobox2->addItem(L"Arsenal",-1);
                                combobox2->addItem(L"Barcelona",1);
                                combobox2->addItem(L"Chelsea",2);
                                combobox2->addItem(L"Dortmund",3);
                                combobox2->addItem(L"Fenerbahce",4);
                                combobox2->addItem(L"Galatasaray",5);
                                combobox3->addItem(L"4-4-2",1);
                                combobox3->addItem(L"3-5-2",3);
                                combobox3->addItem(L"3-4-3",6);
                                combobox3->addItem(L"3-1-2-1-3",2);
                                combobox3->addItem(L"4-3-1-2",4);
                                combobox3->addItem(L"4-1-2-1-2",5);
                                combobox4->addItem(L"4-4-2",1);
                                combobox4->addItem(L"3-5-2",3);
                                combobox4->addItem(L"3-4-3",6);
                                combobox4->addItem(L"3-1-2-1-3",2);
                                combobox4->addItem(L"4-3-1-2",4);
                                combobox4->addItem(L"4-1-2-1-2",5);
                                combobox5->addItem(L"Stadium 1",1);
                                combobox5->addItem(L"Stadium 2",2);
                                combobox5->addItem(L"Stadium 3",3);
                                combobox5->addItem(L"Stadium 4",4);

}
int UserInterface::loadInGameMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device)
{
        skin = env->getSkin();
        font = env->getFont("../../media/fontlucida.png");
    if (font)
        skin->setFont(font);
    env->addImage(driver->getTexture("../../media/ece17de44843a5cf.jpg"),position2d<int>(5,5));
    env->addButton(rect<s32>(10,140,110,140 + 32), 0, GUI_ID_RETURNTOGAME,L"Return To Game");
    env->addButton(rect<s32>(10,180,110,180 + 32), 0, GUI_ID_SUBS,L"Substitutions");
    env->addButton(rect<s32>(10,220,110,220 + 32), 0, GUI_ID_EXITLINUX,L"Quit To Linux");

}
int UserInterface::loadForFunMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device)
{
        device->setWindowCaption(L"For Fun Mode");
        device->setResizable(true);
        font = env->getFont("../../media/fontlucida.png");
        if (font)
            skin->setFont(font);
            env->addImage(driver->getTexture("../../media/ece17de44843a5cf.jpg"),position2d<int>(5,5));
            IGUIStaticText* selectstreet=env->addStaticText(L"Select The Street",rect<s32>(480,320,600,320 + 32),false);
            selectstreet->enableOverrideColor(true);
            selectstreet->setOverrideColor(video::SColor(200,255,255,255));
            IGUIComboBox * combobox=env->addComboBox(rect<s32>(480,360,590,360 + 32), 0, GUI_ID_SELECTSTREET);
            env->addButton(rect<s32>(480,420,580,420 + 32), 0, GUI_ID_START_MATCH, L"START");
            env->addButton(rect<s32>(480,460,580,460 + 32), 0, GUI_ID_BACK, L"Back");
            combobox->addItem(L"Street 1",1);
            combobox->addItem(L"Street 2",2);
            combobox->addItem(L"Street 3",3);
            combobox->addItem(L"Street 4",4);

}
